glab(1)

NAME

glab-release-download - Download asset files from a GitLab release.

SYNOPSIS

glab release download [flags]

DESCRIPTION

Download asset files from a GitLab release.

If no tag is specified, downloads assets from the latest release. To specify a file name to download from the release assets, use --asset-name. --asset-name flag accepts glob patterns.

OPTIONS

-n, --asset-name=[]
    Download only assets that match the name or a glob pattern.

-D, --dir="."
    Directory to download the release assets to.

OPTIONS INHERITED FROM PARENT COMMANDS

--help[=false]
    Show help for this command.

-R, --repo=""
    Select another repository. Can use either OWNER/REPO or GROUP/NAMESPACE/REPO format. Also accepts full URL or Git URL.

EXAMPLE
    # Download all assets from the latest release
    $ glab release download

    # Download all assets from the specified release tag
    $ glab release download v1.1.0

    # Download assets with names matching the glob pattern
    $ glab release download v1.10.1 --asset-name="*.tar.gz"

SEE ALSO

glab-release(1)